using System.Collections.Generic;
using System.Text.Json;
using System.Text.Json.Serialization;

namespace Bücherwurm
{
    public class BookIdConvert : JsonConverter<int>
    {
        public int NextId {get; set;}

        public override int Read(ref Utf8JsonReader reader,
                                 System.Type typeToConvert,
                                 JsonSerializerOptions options)
        {
            var ret = this.NextId;
            this.NextId = this.NextId++;
            return ret;
        }

        public override void Write(Utf8JsonWriter writer,
                                   int value,
                                   JsonSerializerOptions options)
        {
            
        }

        public BookIdConvert(int InitId)
        {
            NextId = InitId;
        }
    }
}